import {request} from '@/utils/request'

/**
 * 扫码请求
 * @param ocId   单位ID
 * @param qrCode 二维码
 * @returns
 */
export function getByQr(ocId, qrCode) {
  return request({
    url: `/qr/request/${ocId}/${qrCode}`,
    method: 'GET'
  })
}
/**
 * WX登陆
 * @param jsCode 二维码
 * @returns
 */
export function wxLogin(jsCode) {
  return request({
    url: `/wx/login/${jsCode}`,
    method: 'GET'
  })
}
/**
 * 解密WX用户数据
 * @param jsCode 二维码
 * @returns
 */
export function wxDecryptUserInfo(data) {
  return request({
    url: `/wx/userInfo/decrypt`,
    method: 'POST',
    data
  })
}
/**
 * 清单初始化
 * ocId
 * targetId ，targetType，targetTitle，targetGroupId,，targetGroupName
 * checklistId
 */
export function checklistInit(data) {
  return request({
    url: "/checklist/init",
    method: 'POST',
	data
  })
}
/**
 * 扫码请求checklist清单
 * @param ocId   单位ID
 * @param checklistId 清单ID
 * @returns
 */
export function getChecklistByQr(ocId,targetId,checklistId) {
  return request({
    url: `/qr/request/checklist/${ocId}/${targetId}/${checklistId}`,
    method: 'GET'
  })
}
export function updateChecklistPoint(data) {
  return request({
    url: "/checklist/point/record/doing/update",
    method: 'PUT',
    data
  })
}
export function getchecklistRecord(checklistId,recordId) {
  return request({
    url: `/checklist/record/view/${recordId}/${checklistId}`,
    method: 'GET'
  })
}
export function getchecklistByPage(data) {
  return request({
    url: "/checklist/record/page",
    method: 'GET',
	data
  })
}
// 巡检完成
export function checklistComplete(recordId,checklistId) {
  return request({
    url: `/checklist/record/complete/${recordId}/${checklistId}`,
    method: 'PUT'
  })
}
// 巡检放弃
export function checklistCancel(recordId) {
  return request({
    url: `/checklist/record/cancel/${recordId}`,
    method: 'PUT'
  })
}
// 批量操作
export function checklistBatchUpdate(recordId,checkResult) {
  return request({
    url: `/checklist/point/record/doing/batchUpdate/${recordId}/${checkResult}`,
    method: 'PUT'
  })
} 
